Name:           ceph-ansible
Version:        3.1.10
Release:        1%{?dist}
Summary:        Ansible playbooks for Ceph
# Some files have been copied from Ansible (GPLv3+). For example:
#  library/ceph_facts
#  plugins/actions/config_template.py
#  roles/ceph-common/plugins/actions/config_template.py
License:        ASL 2.0 and GPLv3+
URL:            https://github.com/ceph/ceph-ansible
Source0:        https://github.com/ceph/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz




Obsoletes:      ceph-iscsi-ansible <= 1.5

BuildArch:      noarch

BuildRequires: ansible >= 2.4.1.0
BuildRequires: python2-devel

Requires: ansible >= 2.4.1.0
Requires: python-netaddr

%description
Ansible playbooks for Ceph

%prep
%autosetup -p1 -n %{name}-%{version}

%build

%install
mkdir -p %{buildroot}%{_datarootdir}/ceph-ansible

for f in ansible.cfg *.yml *.sample group_vars roles library plugins infrastructure-playbooks; do
  cp -a $f %{buildroot}%{_datarootdir}/ceph-ansible
done

pushd %{buildroot}%{_datarootdir}/ceph-ansible
  # Strip coreos files.
  # These are unneeded on RPM-based distros, and the playbooks download random
  # things from around the internet.
  rm -r roles/ceph-common-coreos
  rm group_vars/common-coreoss.yml.sample
  # These untested playbooks are too unstable for users.
  rm -r infrastructure-playbooks/untested-by-ci
  %if ! 0%{?fedora} && ! 0%{?centos}
    # Ship only the Red Hat Ceph Storage config (overwrite upstream settings)
    cp group_vars/rhcs.yml.sample group_vars/all.yml.sample
  %endif
popd

%check
# Borrowed from upstream's .travis.yml:
ansible-playbook -i dummy-ansible-hosts test.yml --syntax-check

%files
%doc README.rst
%license LICENSE
%{_datarootdir}/ceph-ansible

%changelog
* Wed Oct 31 2018 Ken Dreyer <kdreyer@redhat.com> 3.1.10-1
- Update to 3.1.10 (rhbz#1597516)

* Tue Oct 16 2018 Ken Dreyer <kdreyer@redhat.com> 3.1.9-1
- Update to 3.1.9 (rhbz#1637691 rhbz#1630430)

* Fri Oct 05 2018 Ken Dreyer <kdreyer@redhat.com> 3.1.8-1
- Update to 3.1.8 (rhbz#1633563 rhbz#1596061 rhbz#1635303)

* Mon Oct 01 2018 Ken Dreyer <kdreyer@redhat.com> 3.1.7-1
- Update to 3.1.7 (rhbz#1633288 rhbz#1616066 rhbz#1632157)

* Tue Sep 18 2018 Thomas Serlin <tserlin@redhat.com> 3.1.5-1
- Update to 3.1.5 (rhbz#1630447,rhbz#1622505)

* Mon Sep 17 2018 Ken Dreyer <kdreyer@redhat.com> 3.1.4-1
- Update to 3.1.4 (rhbz#1622505)

* Fri Sep 07 2018 Thomas Serlin <tserlin@redhat.com> 3.1.3-1
- Update to 3.1.3 (rhbz#1623417)

* Tue Sep 04 2018 Thomas Serlin <tserlin@redhat.com> 3.1.2-1
- Update to 3.1.2 (rhbz#1625191)

* Wed Aug 29 2018 Thomas Serlin <tserlin@redhat.com> 3.1.1-1
- Update to 3.1.1 (rhbz#1622210)

* Wed Aug 22 2018 Thomas Serlin <tserlin@redhat.com> - 3.1.0-0.1.rc21
- Update to v3.1.0rc21 (rhbz#1618678,rhbz#1600943)

* Tue Aug 21 2018 Ken Dreyer <kdreyer@redhat.com> - 3.1.0-0.1.rc19
- Update to v3.1.0rc19 (rhbz#1555305 rhbz#1619098 rhbz#1619167)

* Thu Aug 16 2018 Ken Dreyer <kdreyer@redhat.com> - 3.1.0-0.1.rc18
- Update to v3.1.0rc18 (rhbz#1615872 rhbz#1591074 rhbz#1613155 rhbz#1602327
  rhbz#1613626 rhbz#1613963)

* Fri Aug 10 2018 Ken Dreyer <kdreyer@redhat.com> - 3.1.0-0.1.rc17
- Update to v3.1.0rc17 (rhbz#1602785 rhbz#1603202 rhbz#1519835
  rhbz#1610213 rhbz#1582411 rhbz#1610220 rhbz#1600943 rhbz#1575829
  rhbz#1612854 rhbz#1610997)

* Tue Jul 31 2018 Ken Dreyer <kdreyer@redhat.com> - 3.1.0-0.1.rc13
- Update to v3.1.0rc13 (rhbz#1601949 rhbz#1609007)

* Mon Jul 30 2018 Ken Dreyer <kdreyer@redhat.com> - 3.1.0-0.1.rc12
- Update to v3.1.0rc12 (rhbz#1607970 rhbz#1590628 rhbz#1538330 rhbz#1601325)

* Thu Jul 12 2018 Ken Dreyer <kdreyer@redhat.com> - 3.1.0-0.1.rc10
- Update to v3.1.0rc10 (rhbz#1596061 rhbz#1595741 rhbz#1591876 rhbz#1590831
  rhbz#1590275 rhbz#1589146)

* Wed Jun 13 2018 Ken Dreyer <kdreyer@redhat.com> - 3.1.0-0.1.rc9
- Update to v3.1.0rc9 (rhbz#1589792 rhbz#1590746 rhbz#1589146)

* Fri Jun 08 2018 Thomas Serlin <tserlin@redhat.com> 3.1-0.1.rc8
- Update to 3.1.0rc8 (rhbz#1588093)

* Fri Jun 01 2018 Thomas Serlin <tserlin@redhat.com> 3.1-0.1.rc6
- Update to 3.1.0rc6 (rhbz#1578086 rhbz#1585139)

* Wed May 30 2018 Ken Dreyer <kdreyer@redhat.com> 3.1-0.1.rc5
- Update to 3.1.0rc5 (rhbz#1584179 rhbz#1581164)

* Wed May 30 2018 Ken Dreyer <kdreyer@redhat.com> 3.1-0.1.rc4
- Update to 3.1.0rc4 (rhbz#1582281 rhbz#1581571 rhbz#1582181 rhbz#1578086
  rhbz#1519835)

* Tue May 15 2018 Ken Dreyer <kdreyer@redhat.com> 3.1-0.1.rc3
- Update to 3.1.0rc3 (rhbz#1574995)

* Wed May 09 2018 Ken Dreyer <kdreyer@redhat.com> 3.1-0.1.rc2
- Update to 3.1.0rc2 (rhbz#1574995)

* Mon May 07 2018 Thomas Serlin <tserlin@redhat.com> 3.1-0.1.beta9
- Update to 3.1.0beta9 (rhbz#1562220)

* Wed Apr 25 2018 Ken Dreyer <kdreyer@redhat.com> - 3.1.0-0.1.beta8
- Udate to 3.1.0beta8 (rhbz#1569290)

* Thu Apr 19 2018 Thomas Serlin <tserlin@redhat.com> - 3.1.0-0.1.beta7
- Update to 3.1.0beta7

* Thu Apr 12 2018 Thomas Serlin <tserlin@redhat.com> - 3.1.0-0.1.beta6
- Update to 3.1.0beta6

* Thu Mar 15 2018 Ken Dreyer <kdreyer@redhat.com> 3.1.0-0.1.beta4
- Update to 3.1.0beta4

* Mon Mar 12 2018 Ken Dreyer <kdreyer@redhat.com> 3.1.0-0.1.beta3
- Update to 3.1.0beta3

* Wed Feb 28 2018 Ken Dreyer <kdreyer@redhat.com> 3.0.27-1
- Update to 3.0.27 (rhbz#1540578 rhbz#1548357)

* Mon Feb 19 2018 Ken Dreyer <kdreyer@redhat.com> 3.0.26-1
- Update to 3.0.26 (rhbz#1546834)

* Tue Feb 13 2018 Ken Dreyer <kdreyer@redhat.com> 3.0.25-1
- Update to 3.0.25 (rhbz#1526513 rhbz#1531607 rhbz#1543284 rhbz#1501117
  rhbz#1544029)

* Wed Feb 07 2018 Thomas Serlin <tserlin@redhat.com> 3.0.24-1
- Update to 3.0.24 (rhbz#1543107,rhbz#1541303)

* Fri Feb 02 2018 Thomas Serlin <tserlin@redhat.com> 3.0.23-1
- Update to 3.0.23 (rhbz#1541060,rhbz#1540137)

* Wed Jan 31 2018 Thomas Serlin <tserlin@redhat.com> 3.0.22-1
- Update to 3.0.22 (rhbz#1510555,rhbz#1540137)

* Fri Jan 26 2018 Thomas Serlin <tserlin@redhat.com> 3.0.21-1
- Update to 3.0.21 (rhbz#1535382)

* Thu Jan 25 2018 Ken Dreyer <kdreyer@redhat.com> 3.0.20-1
- Update to 3.0.20 (rhbz#1537003 rhbz#1535382)

* Mon Jan 22 2018 Ken Dreyer <kdreyer@redhat.com> 3.0.19-1
- Update to 3.0.19 (rhbz#1536098)

* Thu Jan 18 2018 Ken Dreyer <kdreyer@redhat.com> 3.0.18-1
- Update to 3.0.18 (rhbz#1528430 rhbz#1534839)

* Wed Jan 17 2018 Ken Dreyer <kdreyer@redhat.com> 3.0.17-1
- Update to 3.0.17 (rhbz#1526513 rhbz#1532619)

* Thu Dec 21 2017 Ken Dreyer <kdreyer@redhat.com> 3.0.16-1
- Update to 3.0.16 (rhbz#1516457 rhbz#1528428 rhbz#1528430 rhbz#1528431
  rhbz#1528432)

* Mon Nov 20 2017 Thomas Serlin <tserlin@redhat.com> 3.0.14-1
- Update to 3.0.14 (rhbz#1514460)

* Thu Nov 16 2017 Ken Dreyer <kdreyer@redhat.com> 3.0.13-1
- Update to 3.0.13 (rhbz#1506625)

* Wed Nov 15 2017 Ken Dreyer <kdreyer@redhat.com> 3.0.12-1
- Update to 3.0.12 (rhbz#1506625 rhbz#1512594)

* Mon Nov 13 2017 Ken Dreyer <kdreyer@redhat.com> 3.0.11-1
- Update to 3.0.11 (rhbz#1512538 rhbz#1510906)

* Fri Nov 10 2017 Thomas Serlin <tserlin@redhat.com> - 3.0.10-2
- Add requirement for ceph-ansible 2.4.1.0 in spec file
  (rhbz#1510906 rhbz#1510470 rhbz#1511811)

* Fri Nov 10 2017 Thomas Serlin <tserlin@redhat.com> 3.0.10-1
- Update to 3.0.10 (rhbz#1510906 rhbz#1510470 rhbz#1511811)

* Fri Nov 03 2017 Thomas Serlin <tserlin@redhat.com> 3.0.9-1
- Update to 3.0.9 (rhbz#1508663)

* Tue Oct 31 2017 Ken Dreyer <kdreyer@redhat.com> 3.0.8-1
- Update to 3.0.8 (rhbz#1507907)

* Fri Oct 27 2017 Ken Dreyer <kdreyer@redhat.com> 3.0.7-1
- Update to 3.0.7 (rhbz#1506625)

* Thu Oct 26 2017 Ken Dreyer <kdreyer@redhat.com> 3.0.6-1
- Update to 3.0.6 (rhbz#1505011, rhbz#1499412, rhbz#1505502)

* Tue Oct 24 2017 Ken Dreyer <kdreyer@redhat.com> 3.0.4-1
- Update to 3.0.4 (rhbz#1500470)

* Thu Oct 19 2017 Ken Dreyer <kdreyer@redhat.com> 3.0.3-1
- Update to 3.0.3 (rhbz#rhbz#1458024, rhbz#1498218, rhbz#1503019,
  rhbz#1503251)

* Wed Oct 11 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.2-1
- Update to v3.0.2 (rhbz#1500400, rhbz#1500281, rhbz#1499871,
  rhbz#1499412, rhbz#1500727)

* Mon Oct 09 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc19
- Update to v3.0.0rc19 (rhbz#1499412, rhbz#1499404, rhbz#1499132)

* Thu Oct 05 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc17
- Update to v3.0.0rc17 (rhbz#1498490, rhbz#1497895, rhbz#1498180,
  rhbz#1486062, rhbz#1498583)

* Tue Oct 03 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc15
- Update to v3.0.0rc15 (rhbz#1494127, rhbz#1486062, rhbz#1497959)

* Mon Oct 02 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc14
- Update to v3.0.0rc14 (rhbz#1475820, rhbz#1488999)

* Fri Sep 29 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc13
- Update to v3.0.0rc13 (rhbz#1493985, rhbz#1486062)

* Thu Sep 28 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc12
- Update to v3.0.0rc12 (rhbz#1494643, rhbz#1496692)

* Mon Sep 25 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc11
- Update to v3.0.0rc11 (rhbz#1494039, rhbz#1493920, rhbz#1493552,
  rhbz#1493231, rhbz#1492115)

* Wed Sep 20 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc10
- Update to v3.0.0rc10 (rhbz#1493231, rhbz#1492223, rhbz#1492056,
  rhbz#1484083)

* Tue Sep 19 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc9
- Update to v3.0.0rc9 (rhbz#1492224, rhbz#1492165, rhbz#1492160,
  rhbz#1490188, rhbz#1478071, rhbz#1491844, rhbz#1491976)

* Thu Sep 14 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc8.1
- Drop group_vars/all.yml.sample (rhbz#1478071)
- Ship iscsi files in this package (rhbz#1484083)

* Thu Sep 14 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc8
- Update to v3.0.0rc8 (rhbz#1490355, rhbz#1452762, rhbz#1484083,
  rhbz#1488999)

* Mon Sep 11 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc7
- Update to v3.0.0rc7 (rhbz#1488813, rhbz#1489353, rhbz#1489099,
  rhbz#1469426, rhbz#1483096, rhbz#1485887)

* Wed Sep 06 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc6
- Update to v3.0.0rc6 (rhbz#1482462, rhbz#1461551, rhbz#1366807,
  rhbz#1482462, rhbz#1469781, rhbz#1475820)

* Tue Aug 29 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc4
- Update to v3.0.0rc4 (rhbz#1486062, rhbz#1482061, rhbz#1450754,
  rhbz#1484002, rhbz#1482897)

* Thu Aug 10 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc3
- Update to v3.0.0rc3 (rhbz#1480305)

* Thu Aug 10 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc2
- Update to v3.0.0rc2 (rhbz#1480305)

* Wed Aug 09 2017 Ken Dreyer <kdreyer@redhat.com> - 3.0.0-0.1.rc1
- Update to v3.0.0rc1 (rhbz#1478071, rhbz#1434175, rhbz#1476210,
  rhbz#1469426, rhbz#1464572)

* Fri Jul 28 2017 Thomas Serlin <tserlin@redhat.com> - 2.3.0-0.1.rc5
- Update to 2.3.0rc5 (rhbz#1476856)

* Thu Jul 20 2017 Ken Dreyer <kdreyer@redhat.com> - 2.3.0-0.1.rc4
- Update to 2.3.0rc4 (rhbz#1471989)

* Wed Jul 19 2017 Ken Dreyer <kdreyer@redhat.com> - 2.3.0-0.1.rc3
- Update to 2.3.0rc3 (rhbz#1471035)

* Fri Jul 14 2017 Ken Dreyer <kdreyer@redhat.com> - 2.3.0-0.2.rc2
- Update to 2.3.0rc2

* Wed Jun 07 2017 Thomas Serlin <tserlin@redhat.com> 2.2.11-1
- Update to 2.2.11 (rhbz#1454945,rhbz#1459697,rhbz#1459639)

* Tue Jun 06 2017 Thomas Serlin <tserlin@redhat.com> 2.2.10-1
- Update to 2.2.10 (rhbz#1454945)

* Mon Jun 05 2017 Thomas Serlin <tserlin@redhat.com> 2.2.9-1
- Update to 2.2.9 (rhbz#1451786,rhbz#1455187)

* Mon Jun 05 2017 Thomas Serlin <tserlin@redhat.com> - 2.2.8-2
- Don't package iSCSI files (rhbz#1454945)

* Wed May 31 2017 Thomas Serlin <tserlin@redhat.com> 2.2.8-1
- Update to 2.2.8 (rhbz#1455187)

* Wed May 24 2017 Thomas Serlin <tserlin@redhat.com> 2.2.7-1
- Update to 2.2.7 (rhbz#1455266,rhbz#1453119,rhbz#1452431)

* Thu May 18 2017 Thomas Serlin <tserlin@redhat.com> 2.2.6-1
- Update to 2.2.6 (rhbz#1452061)

* Wed May 17 2017 Thomas Serlin <tserlin@redhat.com> 2.2.5-1
- Update to 2.2.5 (rhbz#1396211,rhbz#1391500,rhbz#1447179)

* Thu May 04 2017 Ken Dreyer <kdreyer@redhat.com> 2.2.4-1
- Update to 2.2.4 (rhbz#1447013)

* Tue Apr 25 2017 Ken Dreyer <kdreyer@redhat.com> 2.2.2-1
- Update to 2.2.2 (rhbz#1437173 rhbz#1391500 rhbz#1444444 rhbz#1442016)

* Thu Apr 20 2017 Ken Dreyer <kdreyer@redhat.com> 2.2.1-1
- Update to 2.2.1 (rhbz#1441954)

* Mon Apr 10 2017 Ken Dreyer <kdreyer@redhat.com> - 2.2.0-1
- Update to 2.2.0 (rhbz#1437173 rhbz#1420207)

* Wed Feb 15 2017 Ken Dreyer <kdreyer@redhat.com> - 2.1.9-1
- Update to 2.1.9 (rhbz#1414647)

* Wed Feb 15 2017 Ken Dreyer <kdreyer@redhat.com> - 2.1.8-1
- Update to 2.1.8 (rhbz#1405630, rhbz#1422134)

* Wed Feb 08 2017 Ken Dreyer <kdreyer@redhat.com> - 2.1.7-1
- Update to 2.1.7 (rhbz#1405630, rhbz#1419814, rhbz#1418980)

* Wed Feb 01 2017 Ken Dreyer <kdreyer@redhat.com> 2.1.6-1
- Update to 2.1.6 (rhbz#1405630)

* Tue Jan 31 2017 Ken Dreyer <kdreyer@redhat.com> 2.1.5-1
- Update to 2.1.5 (rhbz#1405630)

* Wed Jan 25 2017 Ken Dreyer <kdreyer@redhat.com> 2.1.4-1
- Update to 2.1.4 (rhbz#1413985, rhbz#1416010, rhbz#1414213)

* Tue Jan 17 2017 Ken Dreyer <kdreyer@redhat.com> - 2.1.3-1
- Update to 2.1.3 (rhbz#1405630)

* Thu Jan 05 2017 Ken Dreyer <kdreyer@redhat.com> 2.1.1-1
- Update to 2.1.1 (rhbz#1405630)

* Tue Nov 29 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-46
- rm ceph-extra.repo and redhat_distro_ceph_extra variable (rhbz#1383815)
- remove references to Inktank Ceph Storage (rhbz#1344808)
- remove apache support for RGW (rhbz#1383815)

* Thu Nov 17 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-45
- group_vars: drop references to "apache" RGW frontend (rhbz#1396211 rhbz#1383815)

* Mon Nov 14 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-44
- rolling update: stop RGWs before upgrade and start afterwards (rhbz#1394929)
- rolling update: stop MDSs before upgrading and start afterwards (rhbz#1394929)
- rolling update: stop MONs before upgrading and start afterwards (rhbz#1394929)
- rolling update: stop OSDs before upgrading (rhbz#1394929)

* Thu Nov 10 2016 Ken Dreyer <kdreyer@redhat.com> - 1.0.5-43
- Revert back to the patch series from 1.0.5-39 (rhbz#1393582, rhbz#1393684,
  rhbz#1392238)
- Add back the "rolling update: fix restarts of radosgw" fix (rhbz#1391675)

* Wed Nov 09 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-42
- declare raw_journal_devices so the list is not empty (rhbz#1392238)

* Tue Nov 08 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-41
- fix bug introduced in 3cd233fccda85126287558172b4d2548f9416fed (rhbz#1391468 rhbz#1392238)

* Thu Nov 03 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-40
- rolling update: fix restarts of radosgw (rhbz#1391675)
- osd dmcrypt: add ability to check devices (rhbz#1391468)
- ceph_devices.yml cleanup and optimization (rhbz#1391468)
- raw_multi_journal is not required when using dmcrypt_dedicated_journal (rhbz#1391468)

* Fri Oct 28 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-39
- fix non skipped task for ansible v1.9.x (rhbz#1388885)

* Thu Oct 27 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-38
- rolling_update: define mon_group_name when upgrading the mons (rhbz#1389456)

* Wed Oct 26 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-37
- rolling_update: fix wrong indent (rhbz#1388295)
- infrastructure-playbooks: fix syntax errors in all playbooks (rhbz#1388295)

* Thu Oct 13 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-36
- osd: fix collocation spelling and declare dmcrypt variables (rhbz#1373736 rhbz#1366808)
- ceph-osd: add dmcrypt scenario (rhbz#1373736 rhbz#1366808)
- ceph-osd: re-arrange osd scenario numbers (rhbz#1373736 rhbz#1366808)

* Wed Oct 12 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-35
- rolling_update: improve variables import (rhbz#1382316)
- upgrade: add custom timeout options (rhbz#1380195)

* Mon Sep 26 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-34
- rolling_update.yml will not work if cluster name is not 'ceph'. Adding --cluster will solve this problem (rhbz#1373919)

* Wed Sep 21 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-33
- rolling updates: remove mon compact command (rhbz#1372481)

* Tue Aug 02 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-32
- allow dash in cluster name (rhbz#1332676)

* Mon Jul 18 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-31
- group_vars: default to version 2 of RHCS (rhbz#1357631)

* Mon Jul 18 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-30
- Fetch keys from the mons when taking over a cluster (rhbz#1357292)

* Fri Jul 15 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-29
- ceph-common: skip default installs on redhat if ISO needs to be used (rhbz#1357065)

* Fri Jul 15 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-28
- adding missing quotes (rhbz#1356795)

* Thu Jul 14 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-27
- Trivial; grammar changes (rhbz#1356687)
- take-over: remove the connection local (rhbz#1356687)
- take over an existing cluster with ceph ansible (rhbz#1356687)

* Wed Jul 13 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-26
- ceph-common: explicitly create the directory portion of the iso path (rhbz#1355762)

* Fri Jul 08 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-25
- rolling update: add systemd support (rhbz#1342621)
- rolling-upgrade: cleanup and cosmetic (rhbz#1342621)

* Thu Jul 07 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-24
- ceph-common: ensure that destination iso paths exist before copying (rhbz#1338551)

* Wed Jun 22 2016 Ken Dreyer <kdreyer@redhat.com> - 1.0.5-23
- require Ansible < 2 (ie v1.9) (rhbz#1349036)

* Mon Jun 20 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-22
- ceph-agent: install the correct package for the agent in Ubuntu (rhbz#1348130)

* Fri Jun 17 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-21
- ceph-common: use rh_storage_version variable to enable the correct repos (rhbz#1346812)
- ceph-common: do not enable optional repos for rhel7 (rhbz#1346812)
- ceph-common: default to 1.3 for rh_storage_version (rhbz#1346812)
- group_vars: define the rh_storage_version (rhbz#1346812)

* Fri Jun 10 2016 Ali Maredia <amaredia@redhat.com> 1.0.5-20
- ceph-osd: do not ignore ceph-disk errors in bluestore (rhbz#1342117)
- ceph-osd: do not ignore ceph-disk errors in journal_collocation (rhbz#1342117)
- ceph-osd: do not ignore ceph-disk errors in raw multi journal (rhbz#1342117)
- include the red hat storage apt-key as a file (rhbz#1337601)

* Thu Jun 02 2016 Ali Maredia <amaredia@redhat.com> 1.0.5-19
- ceph-common: fix use of dnf only when package manager is 'dnf' not 'yum' (rhbz#1342051)
- remove the gpgkey line from the red hat storage repo template (rhbz#1339439)

* Tue May 31 2016 Ali Maredia <amaredia@redhat.com> 1.0.5-18
- ceph-common: install ceph-common packages for clients on debian for rhcs (rhbz#1339096)
- ceph-common: install ceph-common packages for clients on redhat for rhcs (rhbz#1339096)
- ceph-common: define client_group_name (rhbz#1339096)
- group_vars: define client_group_name (rhbz#1339096)

* Wed May 25 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-17
- ceph-common: create a new install task for rh storage on redhat (rhbz#1339096)
- ceph-common: include the new install_rh_storage_on_redhat playbook when ceph_stable_rh_storage is on: (rhbz#1339096)

* Tue May 24 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-16
- ceph-common: specify file path for repo key (rhbz#1339068)
- ceph-common: there is no Installer repo, it is now the Tools repo (rhbz#1338548)

* Fri May 20 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-15
- ceph-common: remove RedHat-only constraint for RH ISO install (rhbz#1337320)
- ceph-osd: fix typo when calling sgdisk second time around
- install ceph-mds on debian systems when using red hat ceph storage
  (rhbz#1337674)
- install radosgw on debian systems when using red hat ceph storage
  (rhbz#1336875)
- ceph-common: on rh storage on debian add the repositories and keys
  (rhbz#1337320)
- ceph-common: on rh storage on debian do not add the rh key by default
  (rhbz#1337320)
- ceph-common: redhat repo template: remove the Calamari reference, no longer a
  distinct repo (rhbz#1337305)

* Wed May 18 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-14
- ceph-osd: fail when ceph-disk fails to prepare an OSD (rhbz#1335938)

* Tue May 17 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-13
- ceph-common: install ceph-mds package (rhbz#1336571)

* Mon May 16 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-12
- fix the /etc/default/ceph path on debian when setting cluster name

* Mon May 16 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-11
- Do not create symlinks for systemd manually (rhbz#1333276)

* Tue May 10 2016 Ali Maredia <amaredia@redhat.com> 1.0.5-10
- Fixes "old settings overriding jewel defaults in ceph.conf" (rhbz#1323232)

* Tue May 10 2016 Ali Maredia <amaredia@redhat.com> 1.0.5-9
- Fixes monitor startup (rhbz#1334487)
- ceph-mds: fix MDS conditions and the handler

* Mon May 09 2016 Ali Maredia <amaredia@redhat.com> 1.0.5-8
- Fixes "ceph-ansible does not use systemd on Xenial" (rhbz#1331881)
- Fixes "OSD creation failure with physical disks" (rhbz#1334034)

* Wed May 04 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-7
- Patches to fix ceph versioning facts (rhbz#1333154)

* Wed May 04 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-6
- Get the correct OSD ID when the cluster name includes numbers (rhbz#1332676)

* Thu Apr 28 2016 Ali Maredia <amaredia@redhat.com> 1.0.5-5
- Adds a use_server_package_split var (rhbz#1322774)

* Mon Apr 25 2016 Ken Dreyer <kdreyer@redhat.com> 1.0.5-4
- Fix "cluster nodes warn about missing rbd client admin socket" (rhbz#1328594)

* Fri Apr 15 2016 Ali Maredia - 1.0.5-2
- Rebase to v1.0.5

* Tue Mar 15 2016 Ken Dreyer <kdreyer@redhat.com> - 1.0.2-1
- Update to latest upstream release.

* Mon Mar 14 2016 Ken Dreyer <kdreyer@redhat.com> - 1.0.1-1.20160314git4331b8b
- update Git snapshot
- BR: python2-devel (rhbz#1313477)
- Correct License field (rhbz#1313477)

* Thu Mar 10 2016 Ken Dreyer <kdreyer@redhat.com> - 1.0.1-1.20160309git1a62a81
- update Git snapshot

* Mon Mar 07 2016 Ken Dreyer <kdreyer@redhat.com> - 1.0.1-1.20160307gitb354445
- update Git snapshot
- drop upstreamed patches
- Requires: ansible (rhbz#1313477)
- package ansible.cfg

* Thu Mar 03 2016 Ken Dreyer <kdreyer@redhat.com> - 1.0.0-1.20160302gitbec46b7
- update Git snapshot
- Add patches from https://github.com/ceph/ceph-ansible/pull/588

* Mon Feb 29 2016 Ken Dreyer <kdreyer@redhat.com> - 0-0.1.20160229gitf9c3159
- initial package
